ONVIF::Media::Types::AnalyticsStateInformation(3)

NAME
ONVIF::Media::Types::AnalyticsStateInformation

DESCRIPTION
Perl data type class for the XML Schema defined complexType AnalyticsStateInformation from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   AnalyticsEngineControlToken

•   State

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Media::Types::AnalyticsStateInformation
   AnalyticsEngineControlToken => $some_value, # ReferenceToken
   State =>  { # ONVIF::Media::Types::AnalyticsState
     Error =>  $some_value, # string
     State =>  $some_value, # string
   },
 },

AUTHOR
Generated by SOAP::WSDL